Bug 1218118 (CVE-2015-3455) - CVE-2015-3455 squid: incorrect X509 server certificate validation (SQUID-2015:1)
Summary: CVE-2015-3455 squid: incorrect X509 server certificate validation (SQUID-2015:1)
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2015-3455
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: impact=moderate,public=20150501,repor...
Depends On: 1218119 1233265
Blocks: 1210268 1218121
TreeView+ depends on / blocked
 
Reported: 2015-05-04 08:47 UTC by Martin Prpič
Modified: 2019-06-08 20:34 UTC (History)
6 users (show)

Fixed In Version: squid 3.5.4, squid 3.4.13, squid 3.3.14, squid 3.2.14
Doc Type: Bug Fix
Doc Text:
It was found that Squid configured with client-first SSL-bump did not correctly validate X.509 server certificate host name fields. A man-in-the-middle attacker could use this flaw to spoof a Squid server using a specially crafted X.509 certificate.
Clone Of:
Environment:
Last Closed: 2015-11-20 04:58:35 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2015:2378 normal SHIPPED_LIVE Moderate: squid security and bug fix update 2015-11-19 10:51:27 UTC

Description Martin Prpič 2015-05-04 08:47:25 UTC
It was found that when Squid was configured with client-first SSL-bump it did not correctly validate X509 server certificate domain / host name fields. A man-in-the-middle attacker could use this flaw to spoof a Squid server using a specially crafted X.509 certificate.

This flaw is only exploitable Squid is configured to perform SSL Bumping with the "client-first" or "bump" mode of operation. Sites that do not use SSL-Bump are not vulnerable.

This flaw is fixed in Squid versions 3.5.4, 3.4.13, 3.3.14, and 3.2.14. All Squid-2.x, 3.0 and 3.1 are not vulnerable to this flaw.

External References:

http://www.squid-cache.org/Advisories/SQUID-2015_1.txt

Comment 1 Martin Prpič 2015-05-04 08:48:31 UTC
Statement:

This issue did not affect the versions of squid as shipped with Red Hat Enterprise Linux 5 and 6.

Comment 2 Martin Prpič 2015-05-04 08:48:56 UTC
Created squid tracking bugs for this issue:

Affects: fedora-all [bug 1218119]

Comment 4 errata-xmlrpc 2015-11-19 12:20:36 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2015:2378 https://rhn.redhat.com/errata/RHSA-2015-2378.html

Comment 5 Fedora Update System 2016-05-06 19:54:34 UTC
libecap-1.0.0-1.fc22, squid-3.5.10-1.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.